_Auxiliary_Code:
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=0
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
NOP	
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=1
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
L_end_Auxiliary_Code:
RETURN	
; end of _Auxiliary_Code
_Set_Index:
; index start address is: 0 (R0)
; index end address is: 0 (R0)
; index start address is: 0 (R0)
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=0
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
STA.B	GPIO_PORT_32_39+0, R0
; index end address is: 0 (R0)
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Set_Index:
RETURN	
; end of _Set_Index
_Write_Command:
; cmd start address is: 0 (R0)
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
STA.B	GPIO_PORT_32_39+0, R0
; cmd end address is: 0 (R0)
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Write_Command:
RETURN	
; end of _Write_Command
_Write_Data:
LINK	LR, #4
STI.S	SP, #0, R0
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
ADD.L	R1, SP, #0
ADD.L	R1, R1, #1
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
NOP	
NOP	
CALL	_Auxiliary_Code+0
NOP	
ADD.L	R1, SP, #0
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Write_Data:
UNLINK	LR
RETURN	
; end of _Write_Data
_DrawFrame:
LDK.L	R2, #_Write_Data+0
LDK.L	R1, #_Write_Command+0
LDK.L	R0, #_Set_Index+0
CALL	_TFT_Set_Active+0
LDK.L	R0, #65535
CALL	_TFT_Fill_Screen+0
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
LDK.L	R5, #65535
LDK.L	R4, #65535
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
LDK.L	R3, #220
LDK.L	R2, #300
LDK.L	R1, #220
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R3, #46
LDK.L	R2, #300
LDK.L	R1, #46
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr1_THERMO5_Click_FT90x+0
LDK.L	R2, #14
LDK.L	R1, #80
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr2_THERMO5_Click_FT90x+0
LDK.L	R2, #223
LDK.L	R1, #19
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr3_THERMO5_Click_FT90x+0
LDK.L	R2, #223
LDK.L	R1, #200
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr4_THERMO5_Click_FT90x+0
LDK.L	R2, #60
LDK.L	R1, #10
CALL	_TFT_Write_Text+0
LDK.L	R0, #?lstr5_THERMO5_Click_FT90x+0
LDK.L	R2, #100
LDK.L	R1, #10
CALL	_TFT_Write_Text+0
LDK.L	R0, #?lstr6_THERMO5_Click_FT90x+0
LDK.L	R2, #140
LDK.L	R1, #10
CALL	_TFT_Write_Text+0
LDK.L	R0, #?lstr7_THERMO5_Click_FT90x+0
LDK.L	R2, #180
LDK.L	R1, #10
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
L_end_DrawFrame:
RETURN	
; end of _DrawFrame
_TH5Read:
LINK	LR, #4
STI.L	SP, #0, R0
ADD.L	R1, SP, #0
LDI.B	R2, R1, #0
ADD.L	R1, R1, #1
LDI.B	R1, R1, #0
; Diode_Reg_High start address is: 32 (R8)
BEXTU.L	R8, R1, #256
STA.B	_tmp_data+0, R2
LDK.L	R0, #76
CALL	_I2CM1_Set_Slave_Address+0
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM1_Write_Bytes+0
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM1_Read_Bytes+0
; Temp_Low_Byte start address is: 28 (R7)
LDA.B	R7, _tmp_data+0
STA.B	_tmp_data+0, R8
; Diode_Reg_High end address is: 32 (R8)
LDK.L	R0, #76
CALL	_I2CM1_Set_Slave_Address+0
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM1_Write_Bytes+0
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM1_Read_Bytes+0
LDA.B	R1, _tmp_data+0
ASHL.L	R1, R1, #8
BEXTU.L	R1, R1, #0
OR.L	R1, R1, R7
BEXTU.L	R1, R1, #0
; Temp_Low_Byte end address is: 28 (R7)
LSHR.L	R1, R1, #5
BEXTU.L	R1, R1, #0
BEXTU.L	R4, R1, #0
CALL	__Unsigned16IntToFloat+0
MOVE.L	R4, R0
LDK.L	R6, #1040187392
LDL.L	R6, R6, #1040187392
CALL	__Mul_FP+0
L_end_TH5Read:
UNLINK	LR
RETURN	
; end of _TH5Read
_main:
LDK.L	SP, #43605
LDK.L	R1, #240
LDK.L	R0, #320
CALL	_TFT_Init_ILI9341_8bit+0
CALL	_DrawFrame+0
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_I2CM1_Init+0
LPM.L	R28, #16666665
NOP	
L_main0:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main0
JMP	$+8
	#16666665
LDK.L	R1, #_I2CM1_Read_Bytes+0
LDK.L	R0, #_I2CM1_Read_10Bit+0
PUSH.L	R1
PUSH.L	R0
LDK.L	R5, #_I2CM1_Read+0
LDK.L	R4, #_I2CM1_Write_Bytes+0
LDK.L	R3, #_I2CM1_Write_10Bit+0
LDK.L	R2, #_I2CM1_Write+0
LDK.L	R1, #_I2CM1_Set_Slave_Address+0
LDK.L	R0, #_I2CM1_Soft_Reset+0
CALL	_I2CM_Set_Active+0
ADD.L	SP, SP, #8
L_main2:
LDK.L	R3, #200
LDK.L	R2, #280
LDK.L	R1, #50
LDK.L	R0, #200
CALL	_TFT_Rectangle+0
LDK.L	R0, #41
CALL	_TH5Read+0
STA.L	_diodeTemperature+0, R0
MOVE.L	R2, R0
LDK.L	R1, #?lstr_8_THERMO5_Click_FT90x+0
LDK.L	R0, #_txt+0
PUSH.L	R2
PUSH.L	R1
PUSH.L	R0
CALL	_sprintf+0
ADD.L	SP, SP, #12
LDK.L	R2, #60
LDK.L	R1, #200
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
LDK.L	R0, #272
CALL	_TH5Read+0
STA.L	_diodeTemperature+0, R0
MOVE.L	R2, R0
LDK.L	R1, #?lstr_9_THERMO5_Click_FT90x+0
LDK.L	R0, #_txt+0
PUSH.L	R2
PUSH.L	R1
PUSH.L	R0
CALL	_sprintf+0
ADD.L	SP, SP, #12
LDK.L	R2, #100
LDK.L	R1, #200
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
LDK.L	R0, #8996
CALL	_TH5Read+0
STA.L	_diodeTemperature+0, R0
MOVE.L	R2, R0
LDK.L	R1, #?lstr_10_THERMO5_Click_FT90x+0
LDK.L	R0, #_txt+0
PUSH.L	R2
PUSH.L	R1
PUSH.L	R0
CALL	_sprintf+0
ADD.L	SP, SP, #12
LDK.L	R2, #140
LDK.L	R1, #200
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
LDK.L	R0, #10795
CALL	_TH5Read+0
STA.L	_diodeTemperature+0, R0
MOVE.L	R2, R0
LDK.L	R1, #?lstr_11_THERMO5_Click_FT90x+0
LDK.L	R0, #_txt+0
PUSH.L	R2
PUSH.L	R1
PUSH.L	R0
CALL	_sprintf+0
ADD.L	SP, SP, #12
LDK.L	R2, #180
LDK.L	R1, #200
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
LPM.L	R28, #33333331
NOP	
L_main4:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main4
JMP	$+8
	#33333331
NOP	
NOP	
JMP	L_main2
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
